"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const showCliUsage = require("command-line-usage");
const inversify_1 = require("inversify");
const Cli_1 = require("../components/cli/Cli");
const OpsApplicationCliArguments_1 = require("./OpsApplicationCliArguments");
let OpsApplicationUI = class OpsApplicationUI {
    constructor($cli, packageJson = require("./../../package.json")) {
        this.$cli = $cli;
        this.packageJson = packageJson;
    }
    showApplicationHelp() {
        this.$cli.log(showCliUsage([
            {
                header: `Ops (v${this.packageJson.version})`,
                content: 'Perform ops tasks'
            },
            {
                header: 'Arguments',
                optionList: OpsApplicationCliArguments_1.default
            }
        ]));
    }
    showApplicationInfo(context) {
        this.$cli.logHeader(`Ops (v${this.packageJson.version})`);
        context.targetModule && this.$cli.logHeader(`Module: ${context.targetModule}`);
        context.bindingModule && this.$cli.logHeader(`Binding: ${context.bindingModule}`);
        context.targetLifecycle && this.$cli.logHeader(`Lifecycle: ${context.targetLifecycle}`);
        context.targetTask && this.$cli.logHeader(`Task: ${context.targetTask}`);
    }
};
OpsApplicationUI = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject(Cli_1.default)),
    __metadata("design:paramtypes", [Cli_1.default, Object])
], OpsApplicationUI);
exports.default = OpsApplicationUI;
//# sourceMappingURL=OpsApplicationUI.js.map