"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_highlight_1 = require("cli-highlight");
const yaml = require("yaml");
class Exception extends Error {
    constructor(message, context, cause) {
        super(message + (context ? ("\n" + Exception.serializeContext(context)) : "") + (cause ? "\nCause:\n" + (cause.stack || cause) : ""));
    }
    static serializeContext(context) {
        const dump = yaml.stringify(context, {
            customTags: [
                {
                    class: Function,
                    stringify: () => {
                    }
                }
            ]
        });
        return cli_highlight_1.default(dump, { language: 'yaml', ignoreIllegals: true });
    }
}
exports.default = Exception;
//# sourceMappingURL=Exception.js.map