"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const glob = require("glob");
const Path = require("path");
const inversify_1 = require("inversify");
const Cli_1 = require("../cli/Cli");
let ManifestsScanner = class ManifestsScanner {
    constructor($cli) {
        this.$cli = $cli;
    }
    find(location) {
        if (!fs.existsSync(location))
            throw `Modules directory path ${location} doesn't exists!`;
        if (!fs.lstatSync(location).isDirectory())
            throw `Modules directory path ${location} is not a directory!`;
        return glob
            .sync(`${location}/**/module.yaml`, { realpath: true })
            .sort(this.sortByHierarchy);
    }
    sortByHierarchy(a, b) {
        const pathsA = Path.dirname(a).split("/");
        const pathsB = Path.dirname(b).split("/");
        return pathsA < pathsB ? -1 : 1;
    }
};
ManifestsScanner = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject(Cli_1.default)),
    __metadata("design:paramtypes", [Cli_1.default])
], ManifestsScanner);
exports.default = ManifestsScanner;
//# sourceMappingURL=ManifestsScanner.js.map