"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const EchoTaskConfiguration_1 = require("./EchoTaskConfiguration");
const inversify_1 = require("inversify");
const Cli_1 = require("../../../cli/Cli");
let EchoTaskExecutor = class EchoTaskExecutor {
    constructor($cli) {
        this.$cli = $cli;
        this.name = "echo";
    }
    async execute(task, context, module, binding) {
        if (!task.configuration) {
            throw new Error;
        }
        const configuration = new EchoTaskConfiguration_1.default(task.configuration["message"]);
        if (configuration.message) {
            this.$cli.log("Module:", binding ? binding.id : module.id, configuration.message);
        }
    }
};
EchoTaskExecutor = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject(Cli_1.default)),
    __metadata("design:paramtypes", [Cli_1.default])
], EchoTaskExecutor);
exports.default = EchoTaskExecutor;
//# sourceMappingURL=EchoTaskExecutor.js.map