"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const ExecTaskConfiguration_1 = require("./ExecTaskConfiguration");
const inversify_1 = require("inversify");
const Cli_1 = require("../../../cli/Cli");
const child_process_1 = require("child_process");
const _ = require("lodash");
const OpsApplicationConfiguration_1 = require("../../../../application/OpsApplicationConfiguration");
let ExecTaskExecutor = class ExecTaskExecutor {
    constructor($cli, $applicationConfiguration) {
        this.$cli = $cli;
        this.$applicationConfiguration = $applicationConfiguration;
        this.name = "exec";
    }
    async execute(task, context, module, binding) {
        if (!task.configuration)
            throw new Error;
        const configuration = new ExecTaskConfiguration_1.default(task.configuration["command"], task.configuration["args"] || [], _.merge({
            OPS_INPUTS: JSON.stringify(this.$applicationConfiguration.context.inputs),
        }, context.env || {}, process.env, module.env.serialize(), task.configuration["env"]), task.configuration["cwd"] || module.paths.directory, task.configuration["timeout"]);
        this.$cli.logTrace("Executing: ", configuration);
        child_process_1.execFileSync(configuration.command, configuration.args, {
            cwd: configuration.cwd,
            timeout: configuration.timeout,
            env: configuration.env,
            stdio: "inherit"
        });
    }
};
ExecTaskExecutor = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject(Cli_1.default)),
    __param(1, inversify_1.inject(OpsApplicationConfiguration_1.default)),
    __metadata("design:paramtypes", [Cli_1.default,
        OpsApplicationConfiguration_1.default])
], ExecTaskExecutor);
exports.default = ExecTaskExecutor;
//# sourceMappingURL=ExecTaskExecutor.js.map