"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const ManifestTaskConfiguration_1 = require("./ManifestTaskConfiguration");
const Cli_1 = require("../../../cli/Cli");
const inversify_1 = require("inversify");
let ManifestTaskExecutor = class ManifestTaskExecutor {
    constructor($cli) {
        this.$cli = $cli;
        this.name = "manifest";
    }
    async execute(task, context, module, binding) {
        if (!task.configuration)
            throw new Error;
        const configuration = new ManifestTaskConfiguration_1.default(task.configuration["action"]);
        if (configuration.action == ManifestTaskConfiguration_1.ManifestTaskConfigurationActions.INSPECT) {
            const state = {
                module: module.serialize()
            };
            if (binding) {
                state["binding"] = binding.serialize();
            }
            if (this.$cli.quiet) {
                this.$cli.logYamlObject(state, true);
            }
            else {
                this.$cli.logNamedYamlObject(state, module.id, true);
            }
        }
    }
};
ManifestTaskExecutor = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject(Cli_1.default)),
    __metadata("design:paramtypes", [Cli_1.default])
], ManifestTaskExecutor);
exports.default = ManifestTaskExecutor;
//# sourceMappingURL=ManifestTaskExecutor.js.map