"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const Exception_1 = require("../../../error/Exception");
const Validator = require("fastest-validator");
class TerraformSectionSourcesGeneratorTaskConfiguration {
    constructor(outputFileName, templateSection) {
        this.outputFileName = outputFileName;
        this.templateSection = templateSection;
    }
    static parse(configuration) {
        configuration = _.merge({
            output: {
                file: {
                    name: "~terraform.tf"
                }
            }
        }, configuration);
        const validator = new Validator();
        const errors = validator.validate(configuration, {
            "output": {
                type: "object"
            },
            "template": {
                type: "object"
            }
        });
        if (errors !== true)
            throw new Exception_1.default("Invalid task configuration:", errors);
        return new TerraformSectionSourcesGeneratorTaskConfiguration(configuration.output.file.name, configuration.template.section);
    }
}
exports.default = TerraformSectionSourcesGeneratorTaskConfiguration;
//# sourceMappingURL=TerraformSectionSourcesGeneratorTaskConfiguration.js.map