"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const Cli_1 = require("../../../cli/Cli");
const _ = require("lodash");
const inversify_1 = require("inversify");
const child_process_1 = require("child_process");
const OpsApplicationConfiguration_1 = require("../../../../application/OpsApplicationConfiguration");
let TerraformSourcesFormatterTaskExecutor = class TerraformSourcesFormatterTaskExecutor {
    constructor($cli, $configuration) {
        this.$cli = $cli;
        this.$configuration = $configuration;
        this.name = "terraform-sources-formatter";
    }
    async execute(task, context, module, binding) {
        child_process_1.execFileSync(this.$configuration.context.cmdTerraform, ["fmt"], {
            cwd: module.paths.directory,
            env: _.merge({}, process.env, module.env.toHash())
        }).toString();
        this.$cli.logInfo(`Terraform have been formatted!`);
    }
};
TerraformSourcesFormatterTaskExecutor = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject(Cli_1.default)),
    __param(1, inversify_1.inject(OpsApplicationConfiguration_1.default)),
    __metadata("design:paramtypes", [Cli_1.default,
        OpsApplicationConfiguration_1.default])
], TerraformSourcesFormatterTaskExecutor);
exports.default = TerraformSourcesFormatterTaskExecutor;
//# sourceMappingURL=TerraformSourcesFormatterTaskExecutor.js.map