"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const Exception_1 = require("../../../error/Exception");
const Validator = require("fastest-validator");
class TerraformSourcesImporterTaskConfiguration {
    constructor(outputFilePrefix, selector) {
        this.outputFilePrefix = outputFilePrefix;
        this.selector = selector;
    }
    static parse(configuration) {
        if (!configuration)
            throw new Error("Missing configuration!");
        configuration = _.merge({
            output: {
                file: {
                    prefix: "~imports"
                }
            }
        }, configuration);
        const validator = new Validator();
        const errors = validator.validate(configuration, {
            "output": { type: "object" },
            "selector": { type: "object" }
        });
        if (errors !== true)
            throw new Exception_1.default("Invalid task configuration:", errors);
        return new TerraformSourcesImporterTaskConfiguration(configuration.output.file.prefix, configuration.selector);
    }
}
exports.default = TerraformSourcesImporterTaskConfiguration;
//# sourceMappingURL=TerraformSourcesImporterTaskConfiguration.js.map