"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const Exception_1 = require("../../../error/Exception");
const Validator = require("fastest-validator");
class TerragruntConfigurationGeneratorTaskConfiguration {
    constructor(outputFileName, templateSection, context) {
        this.outputFileName = outputFileName;
        this.templateSection = templateSection;
        this.context = context;
    }
    static parse(configuration, module, binding) {
        configuration = _.merge({
            output: {
                file: {
                    name: "~terraform.tf"
                }
            },
            template: {
                section: "terragrunt-configuration"
            },
            context: {}
        }, configuration);
        const validator = new Validator();
        const errors = validator.validate(configuration, {
            "output": { type: "object" },
            "template": { type: "object" },
            "context": { type: "object" },
        });
        if (errors !== true)
            throw new Exception_1.default("Invalid task configuration:", errors);
        return new TerragruntConfigurationGeneratorTaskConfiguration(configuration.output.file.name, configuration.template.section, configuration.context);
    }
}
exports.default = TerragruntConfigurationGeneratorTaskConfiguration;
//# sourceMappingURL=TerragruntConfigurationGeneratorTaskConfiguration.js.map