"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const Schemas_1 = require("./Schemas");
const Exception_1 = require("../components/error/Exception");
const Validator = require("fastest-validator");
let SchemaValidator = class SchemaValidator {
    validateManifest(manifest) {
        const validator = new Validator();
        const errors = validator.validate(manifest, Schemas_1.default.Manifest);
        if (errors !== true) {
            throw new Exception_1.default("Invalid manifest", errors);
        }
    }
    validateModule(module) {
        const validator = new Validator();
        const errors = validator.validate(module, Schemas_1.default.Module);
        if (errors !== true)
            throw new Exception_1.default("Invalid module", errors);
    }
};
SchemaValidator = __decorate([
    inversify_1.injectable()
], SchemaValidator);
exports.default = SchemaValidator;
//# sourceMappingURL=SchemaValidator.js.map