"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModuleHelpers {
    constructor(helpers = new Map()) {
        this.helpers = helpers;
    }
    get size() {
        return this.helpers.size;
    }
    get entries() {
        return Array.from(this.helpers.entries());
    }
    clone() {
        return new ModuleHelpers(new Map(Array.from(this.helpers.entries())));
    }
    forEach(callback) {
        this.helpers.forEach(callback);
    }
    get(name) {
        if (!this.has(name))
            throw new Error(`Helper ${name} does not exists!`);
        return this.helpers.get(name);
    }
    has(key) {
        return this.helpers.has(key);
    }
    inheritFrom(source) {
        source.forEach((value, name) => !this.has(name) && this.helpers.set(name, value));
    }
    serialize() {
        const serialized = {};
        this.forEach((value, name) => serialized[name] = value);
        return serialized;
    }
    toHash() {
        return this.serialize();
    }
    filter(filter) {
        const map = new Map();
        this.forEach((value, key) => {
            if (filter(value, key)) {
                map.set(key, value);
            }
        });
        return new ModuleHelpers(map);
    }
}
exports.default = ModuleHelpers;
//# sourceMappingURL=ModuleHelpers.js.map