"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModuleInputParameter {
    constructor(name, required, provided, value, prompt) {
        this.name = name;
        this.required = required;
        this.provided = provided;
        this.value = value;
        this.prompt = prompt;
    }
    clone() {
        return new ModuleInputParameter(this.name, this.required, this.provided, this.value, this.prompt);
    }
    serialize() {
        return {
            name: this.name,
            required: this.required,
            provided: this.provided,
            value: this.value,
            prompt: this.prompt ? this.prompt.serialize() : undefined
        };
    }
    inheritFrom(source) {
        if (source.value != undefined) {
            this.value = source.value;
        }
    }
}
exports.default = ModuleInputParameter;
//# sourceMappingURL=ModuleInputParameter.js.map