"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModuleLifecycle {
    constructor(name, dependencies, actions, actionsBefore, actionsAfter) {
        this.name = name;
        this.dependencies = dependencies;
        this.actions = actions;
        this.actionsBefore = actionsBefore;
        this.actionsAfter = actionsAfter;
    }
    inheritFrom(lifecycle) {
        this.actions.inheritFrom(lifecycle.actions, { prepend: false });
        this.actionsBefore.inheritFrom(lifecycle.actionsBefore, { prepend: false });
        this.actionsAfter.inheritFrom(lifecycle.actionsAfter);
    }
    clone() {
        return new ModuleLifecycle(this.name, Array.from(this.dependencies), this.actions.clone(), this.actionsBefore.clone(), this.actionsAfter.clone());
    }
    serialize() {
        const serialized = { name: this.name };
        if (this.dependencies.length)
            serialized.dependencies = this.dependencies;
        if (this.actions.size)
            serialized.actions = this.actions.serialize();
        if (this.actionsBefore.size)
            serialized["actions-before"] = this.actionsBefore.serialize();
        if (this.actionsAfter.size)
            serialized["actions-after"] = this.actionsAfter.serialize();
        return serialized;
    }
}
exports.default = ModuleLifecycle;
//# sourceMappingURL=ModuleLifecycle.js.map