"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModuleLifecycleAction {
    constructor(name, task) {
        this.name = name;
        this.task = task;
    }
    clone() {
        return new ModuleLifecycleAction(this.name, this.task.clone());
    }
    inheritFrom(action) {
        this.task.inheritFrom(action.task);
    }
    serialize() {
        const serialized = { name: this.name };
        const task = this.task.serialize();
        if (this.name == this.task.name)
            delete task.name;
        if (Object.keys(task).length)
            serialized.task = task;
        return serialized;
    }
}
exports.default = ModuleLifecycleAction;
//# sourceMappingURL=ModuleLifecycleAction.js.map