"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
class ModuleLifecycleActionTask {
    constructor(name, configuration = {}) {
        this.name = name;
        this.configuration = configuration;
    }
    clone() {
        return new ModuleLifecycleActionTask(this.name, _.cloneDeep(this.configuration));
    }
    inheritFrom(source) {
        _.merge(this.configuration, source.configuration);
    }
    serialize() {
        const serialization = { name: this.name };
        if (Object.keys(this.configuration).length)
            serialization.configuration = _.cloneDeep(this.configuration);
        return serialization;
    }
}
exports.default = ModuleLifecycleActionTask;
//# sourceMappingURL=ModuleLifecycleActionTask.js.map