"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModuleMetadata {
    constructor(enabled, virtual, binding, inherit, tags, schema, autoload, interpolation, parents) {
        this.enabled = enabled;
        this.virtual = virtual;
        this.binding = binding;
        this.inherit = inherit;
        this.tags = tags;
        this.schema = schema;
        this.autoload = autoload;
        this.interpolation = interpolation;
        this.parents = parents;
    }
    clone() {
        return new ModuleMetadata(this.enabled, this.virtual, this.binding, this.inherit.clone(), new Set(Array.from(this.tags)), this.schema, this.autoload, this.interpolation, new Set(Array.from(this.parents)));
    }
    inheritFrom(source) {
    }
    serialize() {
        const serialized = {};
        const inherit = this.inherit.serialize();
        if (!this.enabled)
            serialized.enabled = false;
        if (this.virtual)
            serialized.virtual = true;
        if (this.binding)
            serialized.binding = true;
        if (this.tags.size)
            serialized.tags = Array.from(this.tags);
        serialized.schema = this.schema;
        if (Object.keys(inherit).length)
            serialized.inherit = inherit;
        if (this.autoload)
            serialized.autoload = Array.from(this.autoload);
        return serialized;
    }
}
exports.default = ModuleMetadata;
//# sourceMappingURL=ModuleMetadata.js.map