"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModuleMetadataTags {
    constructor(content = new Set()) {
        this.content = content;
    }
    get size() {
        return this.content.size;
    }
    getAll() {
        return Array.from(this.content);
    }
    has(name) {
        return this.content.has(name);
    }
    forEach(callback) {
        this.content.forEach(callback);
    }
    inheritFrom(source) {
        source.forEach((tag) => this.content.add(tag));
    }
    clone() {
        const content = new Set();
        this.forEach((tag) => content.add(tag));
        return new ModuleMetadataTags(content);
    }
    serialize() {
        return Array.from(this.content);
    }
}
exports.default = ModuleMetadataTags;
//# sourceMappingURL=ModuleMetadataTags.js.map