"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
class ModuleTask {
    constructor(name, metadata, configuration = {}) {
        this.name = name;
        this.metadata = metadata;
        this.configuration = configuration;
    }
    clone() {
        return new ModuleTask(this.name, this.metadata.clone(), _.cloneDeep(this.configuration));
    }
    serialize() {
        const serialized = {
            name: this.name,
            metadata: this.metadata.serialize()
        };
        if (this.configuration && Object.keys(this.configuration).length)
            serialized.configuration = this.configuration;
        return serialized;
    }
    inheritFrom(source) {
        this.configuration = _.merge({}, source.configuration, this.configuration);
        this.metadata.inheritFrom(source.metadata);
    }
}
exports.default = ModuleTask;
//# sourceMappingURL=ModuleTask.js.map