"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModuleTaskMetadata {
    constructor(enabled, executor, supportsVirtual, description) {
        this.enabled = enabled;
        this.executor = executor;
        this.supportsVirtual = supportsVirtual;
        this.description = description;
    }
    clone() {
        return new ModuleTaskMetadata(this.enabled, this.executor, this.supportsVirtual, this.description);
    }
    serialize() {
        const serialized = {};
        if (this.enabled != undefined)
            serialized.enabled = this.enabled;
        if (this.executor)
            serialized.executor = this.executor;
        if (this.supportsVirtual != undefined)
            serialized["supports-virtual"] = this.supportsVirtual;
        if (this.description != undefined)
            serialized.description = this.description;
        return serialized;
    }
    inheritFrom(source) {
        if (this.enabled == undefined)
            this.enabled = source.enabled;
        if (this.executor == undefined)
            this.executor = source.executor;
        if (this.supportsVirtual == undefined)
            this.supportsVirtual = source.supportsVirtual;
        if (this.description == undefined)
            this.description = source.description;
    }
}
exports.default = ModuleTaskMetadata;
//# sourceMappingURL=ModuleTaskMetadata.js.map