"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const OpsApplication_1 = require("./application/OpsApplication");
const InterpolateApplication_1 = require("./application/InterpolateApplication");
const OpsApplicationContextReader_1 = require("./application/OpsApplicationContextReader");
const InterpolateApplicationContextReader_1 = require("./application/InterpolateApplicationContextReader");
const Cli_1 = require("./components/cli/Cli");
const OpsApplicationConfiguration_1 = require("./application/OpsApplicationConfiguration");
const InterpolateApplicationConfiguration_1 = require("./application/InterpolateApplicationConfiguration");
const OpsApplicationUI_1 = require("./application/OpsApplicationUI");
const InterpolateApplicationUI_1 = require("./application/InterpolateApplicationUI");
const ManifestsScanner_1 = require("./components/manifests/ManifestsScanner");
const EchoTaskExecutor_1 = require("./components/tasks/executors/echo/EchoTaskExecutor");
const FSTaskExecutor_1 = require("./components/tasks/executors/fs/FSTaskExecutor");
const ManifestTaskExecutor_1 = require("./components/tasks/executors/manifest/ManifestTaskExecutor");
const TaskExecutionService_1 = require("./components/tasks/TaskExecutionService");
const TerraformSourcesFormatterTaskExecutor_1 = require("./components/tasks/executors/terraform/TerraformSourcesFormatterTaskExecutor");
const TerragruntConfigurationGeneratorTaskExecutor_1 = require("./components/tasks/executors/terraform/TerragruntConfigurationGeneratorTaskExecutor");
const TerraformTaskExecutor_1 = require("./components/tasks/executors/terraform/TerraformTaskExecutor");
const TerraformSourcesImporterTaskExecutor_1 = require("./components/tasks/executors/terraform/TerraformSourcesImporterTaskExecutor");
const OpsTaskExecutor_1 = require("./components/tasks/executors/ops/OpsTaskExecutor");
const TerraformVariablesGeneratorTaskExecutor_1 = require("./components/tasks/executors/terraform/TerraformVariablesGeneratorTaskExecutor");
const SchemaValidator_1 = require("./domain/SchemaValidator");
const ModelsBuilder_1 = require("./domain/ModelsBuilder");
const ModulesService_1 = require("./components/modules/ModulesService");
const TerraformSectionSourcesGeneratorTaskExecutor_1 = require("./components/tasks/executors/terraform/TerraformSectionSourcesGeneratorTaskExecutor");
const TerraformTemplateSourcesGeneratorTaskExecutor_1 = require("./components/tasks/executors/terraform/TerraformTemplateSourcesGeneratorTaskExecutor");
const TerraformRemoteStatesGeneratorTaskExecutor_1 = require("./components/tasks/executors/terraform/TerraformRemoteStatesGeneratorTaskExecutor");
const ExecTaskExecutor_1 = require("./components/tasks/executors/exec/ExecTaskExecutor");
const YamlService_1 = require("./components/yaml/YamlService");
const container = new inversify_1.Container();
container.bind(Cli_1.default).toSelf().inSingletonScope();
container.bind(OpsApplication_1.default).toSelf().inSingletonScope();
container.bind(InterpolateApplication_1.default).toSelf().inSingletonScope();
container.bind(OpsApplicationUI_1.default).toSelf().inSingletonScope();
container.bind(InterpolateApplicationUI_1.default).toSelf().inSingletonScope();
container.bind(OpsApplicationContextReader_1.default).toSelf().inSingletonScope();
container.bind(InterpolateApplicationContextReader_1.default).toSelf().inSingletonScope();
container.bind(OpsApplicationConfiguration_1.default).toSelf().inSingletonScope();
container.bind(InterpolateApplicationConfiguration_1.default).toSelf().inSingletonScope();
container.bind(ModulesService_1.default).toSelf().inSingletonScope();
container.bind(ManifestsScanner_1.default).toSelf().inSingletonScope();
container.bind(SchemaValidator_1.default).toSelf().inSingletonScope();
container.bind(ModelsBuilder_1.default).toSelf().inSingletonScope();
container.bind(YamlService_1.default).toSelf().inSingletonScope();
container.bind(TaskExecutionService_1.default).toSelf().inSingletonScope();
container.bind(OpsTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(FSTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(ManifestTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(EchoTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(ExecTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(TerraformVariablesGeneratorTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(TerraformRemoteStatesGeneratorTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(TerraformSectionSourcesGeneratorTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(TerraformTemplateSourcesGeneratorTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(TerraformSourcesImporterTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(TerraformSourcesFormatterTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(TerragruntConfigurationGeneratorTaskExecutor_1.default).toSelf().inSingletonScope();
container.bind(TerraformTaskExecutor_1.default).toSelf().inSingletonScope();
exports.default = container;
//# sourceMappingURL=inversify.config.js.map