import {injectable} from "inversify";
import InterpolateApplicationContext from "./InterpolateApplicationContext";

@injectable()
export default class InterpolateApplicationConfiguration {

    readonly version: string;
    readonly requiredCommands: string[];
    readonly context: InterpolateApplicationContext = {
        tempDir: "",
        inputFile: "",
        mergeFiles: [],
        output: "",
        logLevel: "info",
        quiet: false,
        help: true,
        contextFile: ""
    };

    constructor(
        packageJson = require("../../package.json")
    ) {
        this.version = packageJson.version;
        this.requiredCommands = packageJson.config.requiredCommands;
    }

}
