import * as parseCliArguments from "command-line-args";
import applicationCliArguments from "./InterpolateApplicationCliArguments"
import {injectable} from "inversify";
import InterpolateApplicationContext from "./InterpolateApplicationContext";

@injectable()
export default class InterpolateApplicationContextReader {

    public readContext(): InterpolateApplicationContext {
        const args = parseCliArguments(applicationCliArguments, {camelCase: true});
        return {
            tempDir: "",
            mergeFiles: args.mergeFiles,
            contextFile: args.contextFile,
            output: args.output,
            inputFile: args.inputFile,
            logLevel: args.logLevel
                || process.env.OPS_LOG_LEVEL
                || "info",
            quiet: args.quiet || false,
            help: args.help || false
        };
    }

}
