import * as showCliUsage from "command-line-usage";
import {inject, injectable} from "inversify";
import Cli from "../components/cli/Cli";
import InterpolateApplicationContext from "./InterpolateApplicationContext";
import InterpolateApplicationCliArguments from "./InterpolateApplicationCliArguments";

@injectable()
export default class InterpolateApplicationUI {

    constructor(
        @inject(Cli)
        private readonly $cli: Cli,
        private packageJson = require("./../../package.json")
    ) {
    }

    showApplicationHelp() {
        this.$cli.log(showCliUsage([
            {
                header: `Ops-Interpolate (v${this.packageJson.version})`,
                content: 'Perform yaml interpolation'
            },
            {
                header: 'Arguments',
                optionList: InterpolateApplicationCliArguments
            }
        ]));
    }

    showApplicationInfo(context: InterpolateApplicationContext) {
        this.$cli.logHeader(`Ops-Interpolate (v${this.packageJson.version})`);
    }
}
