import {OptionDefinition} from "command-line-args";

export default [
    {
        name: 'module',
        alias: 'm',
        type: String,
        defaultOption: true,
        description: 'Name of the target module. Env: OPS_TARGET_MODULE',
        typeLabel: "name"
    } as OptionDefinition,
    {
        name: 'ignore-errors',
        alias: 'k',
        type: Boolean,
        description: 'Ignore errors'
    } as OptionDefinition,
    {
        name: 'binding',
        alias: 'b',
        type: String,
        description: 'Name of the binding module. Env: OPS_BINDING_MODULE',
        typeLabel: "name"
    } as OptionDefinition,
    {
        name: 'lifecycle',
        alias: 'l',
        type: String,
        description: 'Lifecycle to perform, example: deploy or plan. Env: OPS_TARGET_LIFECYCLE',
        typeLabel: "name"
    } as OptionDefinition,
    {
        name: 'task',
        alias: 't',
        type: String,
        description: 'Task to perform, example: deploy or plan. Env: OPS_TARGET_TASK',
        typeLabel: "name"
    } as OptionDefinition,
    {
        name: 'path-modules',
        type: String,
        description: 'Path to modules modules locations. Env: OPS_PATH_MODULES',
        typeLabel: "<path>"
    } as OptionDefinition,
    {
        name: 'log-level',
        alias: 'v',
        type: String,
        description: 'Log level. Env: OPS_LOG_LEVEL'
    } as OptionDefinition,
    {
        name: 'quiet',
        alias: 'q',
        type: Boolean,
        description: 'Do not display log output'
    } as OptionDefinition,
    {
        name: 'inputs',
        alias: 'i',
        type: String,
        description: 'Inputs values for modules'
    } as OptionDefinition,
    {
        name: 'help',
        alias: 'h',
        type: Boolean,
        description: 'Show help'
    } as OptionDefinition,
    {
        name: 'continue-from',
        type: String,
        description: 'Continue from speficic component'
    } as OptionDefinition,
];
