import {injectable} from "inversify";
import OpsApplicationContext from "./OpsApplicationContext";

@injectable()
export default class OpsApplicationConfiguration {

    readonly version: string;
    readonly requiredCommands: string[];
    readonly context: OpsApplicationContext = {
        tempDir: "",
        modulesRoot: "",
        bindingModule: "",
        targetModule: "",
        targetTask: "",
        targetLifecycle: "",
        logLevel: "info",
        continueFrom: "",
        inputs: {},
        quiet: false,
        help: true,
        ignoreErrors: false,
        cmdTerraform: "terraform",
        cmdTerragrunt: "terragrunt",
        cmdSpiff: "spiff++",
        cmdAWS: "aws"
    };

    constructor(
        packageJson = require("../../package.json")
    ) {
        this.version = packageJson.version;
        this.requiredCommands = packageJson.config.requiredCommands;
    }

}
