import "reflect-metadata";
import container from "./inversify.config";
import InterpolateApplication from "./application/InterpolateApplication";
import Cli from "./components/cli/Cli";
import * as _ from "lodash";

(global as any)._ = _;
if ((process.stdout as any)._handle) {
    (process.stdout as any)._handle.setBlocking(true);
}
const application = container.get<InterpolateApplication>(InterpolateApplication);
const cli = container.get<Cli>(Cli);
(global as any)['application'] = application;
application.run().catch((error: any) => {
    cli.logError("Fatal error:", error);
    process.exit(1);
});


