import highlight from "cli-highlight";
import * as yaml from "yaml";

export default class Exception
    extends Error {

    constructor(message: string, context?: any, cause?: Error) {
        super(message + (context ? ("\n" + Exception.serializeContext(context)) : "") + (cause ? "\nCause:\n" + (cause.stack || cause) : ""))
    }

    static serializeContext(context: any) {
        const dump = yaml.stringify(context, {
            customTags: [
                {
                    class: Function,
                    stringify: () => {
                    }
                }
            ]
        } as any);
        return highlight(dump, {language: 'yaml', ignoreIllegals: true});
    }

}
