import EchoTaskConfiguration from "./EchoTaskConfiguration";
import {inject, injectable} from "inversify";
import TaskExecutor from "../../TaskExecutor";
import Cli from "../../../cli/Cli";
import * as Models from "../../../../domain/Models";
import TaskExecutorContext from "../../TaskExecutorContext";

@injectable()
export default class EchoTaskExecutor
    implements TaskExecutor {

    public readonly name: string = "echo";

    constructor(
        @inject(Cli) protected $cli: Cli
    ) {
    }

    async execute(
        task: Models.ModuleTask,
        context: TaskExecutorContext,
        module: Models.Module,
        binding?: Models.Module
    ) {
        if (!task.configuration) {
            throw new Error;
        }
        const configuration = new EchoTaskConfiguration(task.configuration["message"]);
        if (configuration.message) {
            this.$cli.log("Module:", binding ? binding.id : module.id, configuration.message);
        }
    }

}
