import * as Primitives from "../../../../domain/Primitives";
import * as _ from "lodash";
import Exception from "../../../error/Exception";

const Validator = require("fastest-validator");

export default class TerraformSectionSourcesGeneratorTaskConfiguration {

    constructor(
        public readonly outputFileName: string,
        public readonly templateSection: string
    ) {

    }

    static parse(configuration: Primitives.Serialized) {
        configuration = _.merge({
            output: {
                file: {
                    name: "~terraform.tf"
                }
            }
        }, configuration);
        const validator: any = new Validator();
        const errors = validator.validate(configuration, {
            "output": {
                type: "object"
            },
            "template": {
                type: "object"
            }
        } as any);
        if (errors !== true) throw new Exception("Invalid task configuration:", errors);
        return new TerraformSectionSourcesGeneratorTaskConfiguration(
            configuration.output.file.name,
            configuration.template.section
        );
    }
}
