import * as Manifests from "./Manifests";
import {injectable} from "inversify";
import Schemas from "./Schemas";
import Exception from "../components/error/Exception";

const Validator = require("fastest-validator");

@injectable()
export default class SchemaValidator {

    validateManifest(manifest: Manifests.Manifest) {
        const validator: any = new Validator();
        const errors = validator.validate(manifest, Schemas.Manifest as any);
        if (errors !== true) {
            throw new Exception("Invalid manifest", errors);
        }
    }

    validateModule(module: Manifests.Module) {
        const validator: any = new Validator();
        const errors = validator.validate(module, Schemas.Module as any);
        if (errors !== true) throw new Exception("Invalid module", errors);
    }
}
