import * as Primitives from "../Primitives";
import * as Manifests from "../Manifests";
import ModuleInputParameterPrompt from "./ModuleInputParameterPrompt";

export default class ModuleInputParameter
    implements Primitives.Model<ModuleInputParameter> {

    constructor(
        public readonly name: string,
        public readonly required: boolean,
        public provided: boolean,
        public value?: any,
        public readonly prompt?: ModuleInputParameterPrompt
    ) {
    }

    clone(): ModuleInputParameter {
        return new ModuleInputParameter(
            this.name,
            this.required,
            this.provided,
            this.value,
            this.prompt
        );
    }

    serialize(): Manifests.ModuleInputParameter {
        return {
            name: this.name,
            required: this.required,
            provided: this.provided,
            value: this.value,
            prompt: this.prompt ? this.prompt.serialize() : undefined
        };
    }

    inheritFrom(source: ModuleInputParameter): void {
        if (source.value != undefined) {
            this.value = source.value;
        }
    }
}
