import * as Primitives from "../Primitives";
import * as Manifests from "../Manifests";

export default class ModuleInputParameterPrompt
    implements Primitives.Model<ModuleInputParameterPrompt> {

    constructor(
        public readonly message: string,
        public readonly type: string,
        public readonly choices?: any[] | Function,
        public readonly defaults?: string | Function
    ) {
    }

    clone(): ModuleInputParameterPrompt {
        return new ModuleInputParameterPrompt(
            this.message,
            this.type,
            this.choices,
            this.defaults
        );
    }

    serialize(): Manifests.ModuleInputParameterPrompt {
        return {
            message: this.message,
            type: this.type
        };
    }

    inheritFrom(source: ModuleInputParameterPrompt): void {

    }
}
