import ModuleLifecycleActionTask from "./ModuleLifecycleActionTask";
import * as Primitives from "../Primitives";

export default class ModuleLifecycleAction
    implements Primitives.Model<ModuleLifecycleAction> {

    constructor(
        readonly name: string,
        readonly task: ModuleLifecycleActionTask
    ) {

    }

    clone(): ModuleLifecycleAction {
        return new ModuleLifecycleAction(
            this.name,
            this.task.clone()
        );
    }

    inheritFrom(action: ModuleLifecycleAction): void {
        this.task.inheritFrom(action.task)
    }

    serialize(): Primitives.Serialized {
        const serialized: Primitives.Serialized = {name: this.name};
        const task = this.task.serialize();
        if (this.name == this.task.name)
            delete task.name;
        if (Object.keys(task).length)
            serialized.task = task;
        return serialized;
    }
}
