import * as _ from "lodash";
import * as Primitives from "../Primitives";

export default class ModuleLifecycleActionTask
    implements Primitives.Model<ModuleLifecycleActionTask> {

    constructor(
        readonly name: string,
        readonly configuration: Primitives.Serialized = {}
    ) {
    }

    clone(): ModuleLifecycleActionTask {
        return new ModuleLifecycleActionTask(
            this.name,
            _.cloneDeep(this.configuration)
        );
    }

    inheritFrom(source: ModuleLifecycleActionTask): void {
        _.merge(this.configuration, source.configuration);
    }

    serialize(): Primitives.Serialized {

        const serialization: Primitives.Serialized = {name: this.name};

        if (Object.keys(this.configuration).length)
            serialization.configuration = _.cloneDeep(this.configuration);

        return serialization;

    }

}
