import * as Primitives from "../Primitives";
import * as Manifests from "../Manifests";

export default class ModulePaths
    implements Primitives.Model<ModulePaths> {

    constructor(
        readonly manifest: string,
        readonly module: string,
        readonly directory: string,
        readonly unit: string,
        readonly root: string
    ) {

    }

    clone(): ModulePaths {
        return new ModulePaths(
            this.manifest,
            this.module,
            this.directory,
            this.unit,
            this.root
        );
    }

    serialize(): Manifests.ModulePaths {
        return {
            manifest: this.manifest,
            module: this.module,
            directory: this.directory,
            unit: this.unit,
            root: this.root
        };
    }

    inheritFrom(source: ModulePaths): void {
    }

}
