import * as Primitives from "../Primitives";

export default class ModuleTaskMetadata
    implements Primitives.Model<ModuleTaskMetadata> {
    constructor(
        public enabled?: boolean,
        public executor?: string,
        public supportsVirtual?: boolean,
        public description?: string
    ) {

    }

    clone(): ModuleTaskMetadata {
        return new ModuleTaskMetadata(
            this.enabled,
            this.executor,
            this.supportsVirtual,
            this.description
        );
    }

    serialize(): Primitives.Serialized {
        const serialized: Primitives.Serialized = {};
        if (this.enabled != undefined) serialized.enabled = this.enabled;
        if (this.executor) serialized.executor = this.executor;
        if (this.supportsVirtual != undefined) serialized["supports-virtual"] = this.supportsVirtual;
        if (this.description != undefined) serialized.description = this.description;
        return serialized;
    }

    inheritFrom(source: ModuleTaskMetadata): void {
        if (this.enabled == undefined) this.enabled = source.enabled;
        if (this.executor == undefined) this.executor = source.executor;
        if (this.supportsVirtual == undefined) this.supportsVirtual = source.supportsVirtual;
        if (this.description == undefined) this.description = source.description;
    }

}
